Class | Sequel::OpenBase::Dataset
In: | lib/sequel/adapters/openbase.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows

### Constants

SELECT_CLAUSE_METHODS | = | clause_methods(:select, %w'distinct columns from join where group having compounds order limit')

### Public Instance methods

fetch_rows(sql) {|row| ...}

[Source]

        # File lib/sequel/adapters/openbase.rb, line 41
    41:       def fetch_rows(sql)
    42:         execute(sql) do |result|
    43:           begin
    44:             @columns = result.column_infos.map{|c| output_identifier(c.name)}
    45:             result.each do |r|
    46:               row = {}
    47:               r.each_with_index {|v, i| row[@columns[i]] = v}
    48:               yield row
    49:             end
    50:           ensure
    51:             # result.close
    52:           end
    53:         end
    54:         self
    55:       end

[Validate]